%define major 0
%define libname %mklibname bs2b %major
%define develname %mklibname -d bs2b

Summary: Bauer stereophonic-to-binaural DSP library
Name: libbs2b
Version: 3.1.0
Release: %mkrel 12
Source0: http://downloads.sourceforge.net/sourceforge/bs2b/%{name}-%{version}.tar.lzma
Patch: libbs2b-3.1.0-fix-format-strings.patch
License: MIT
Group: System/Libraries
Url: http://bs2b.sourceforge.net/
BuildRequires: pkgconfig(sndfile)

%description
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%package utils
Group: Sound/Utilities
Summary: Bauer stereophonic-to-binaural DSP library - sample tools

%description utils
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

This contains the command line example tools.

%package -n %libname
Group: System/Libraries
Summary: Bauer stereophonic-to-binaural DSP library

%description -n %libname
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%package -n %develname
Group: Development/C
Summary: Bauer stereophonic-to-binaural DSP library
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%prep
%setup -q
%autopatch -p1

# make autoreconf happy
sed -i -e 's,dist-lzma,dist-xz,' configure.ac

%build
# to recogniza aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files -n %libname
%_libdir/libbs2b.so.%{major}*

%files utils
%doc README AUTHORS
%_bindir/*

%files -n %develname
%doc ChangeLog doc/readme.txt
%_libdir/*.so
%_libdir/*a
%_includedir/bs2b
%_libdir/pkgconfig/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 3.1.0-12.mga8
+ Revision: 1513941
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-11.mga7
+ Revision: 1298771
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 3.1.0-10.mga7
+ Revision: 1234026
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 3.1.0-9.mga6
+ Revision: 938928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-8.mga5
+ Revision: 743512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.0-7.mga5
+ Revision: 681354
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1.0-6.mga4
+ Revision: 506848
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-5.mga3
+ Revision: 356872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 3.1.0-4.mga3
+ Revision: 323353
- clean spec
- update rpm group

* Thu Feb 17 2011 ahmad <ahmad> 3.1.0-3.mga1
+ Revision: 52784
- imported package libbs2b


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-3mdv2011.0
+ Revision: 602526
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-2mdv2010.1
+ Revision: 520757
- rebuilt for 2010.1

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 398318
- import libbs2b


